> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction history for a Bridge Wallet

> Get the list of transactions involving this Bridge Wallet



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /wallets/{bridgeWalletID}/history
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /wallets/{bridgeWalletID}/history:
    parameters:
      - $ref: '#/components/parameters/BridgeWalletIDParameter'
      - $ref: '#/components/parameters/LimitParameter'
      - $ref: '#/components/parameters/BridgeWalletHistoryStartingAfterParameter'
      - $ref: '#/components/parameters/BridgeWalletHistoryEndingBeforeParameter'
      - $ref: '#/components/parameters/BridgeWalletHistoryStartingTimeParameter'
      - $ref: '#/components/parameters/BridgeWalletHistoryEndingTimeParameter'
    get:
      tags:
        - Bridge Wallets
      summary: Get transaction history for a Bridge Wallet
      description: Get the list of transactions involving this Bridge Wallet
      responses:
        '200':
          $ref: '#/components/responses/BridgeWalletHistoryResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '404':
          $ref: '#/components/responses/NotFoundError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    BridgeWalletIDParameter:
      name: bridgeWalletID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
    LimitParameter:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
      description: The number of items to return (min 1, default 10, max 100)
    BridgeWalletHistoryStartingAfterParameter:
      in: query
      name: starting_after
      schema:
        type: string
      description: >-
        This is a bridge wallet event id. If this is specified, the next page
        that starts with an event right AFTER the specified event id on the
        event timeline, which is always ordered from the newest to the oldest by
        creation time, will be returned. This also implies that events older
        than the specified event id will be returned (shouldn't be set if
        ending_before is set)
    BridgeWalletHistoryEndingBeforeParameter:
      in: query
      name: ending_before
      schema:
        type: string
      description: >-
        This is a bridge wallet event id. If this is specified, the previous
        page that ends with an event right BEFORE the specified event id on the
        event timeline, which is always ordered from the newest to the oldest by
        creation time, will be returned. This also implies that events newer
        than the specified event id will be returned (shouldn't be set if
        starting_after is set)
    BridgeWalletHistoryStartingTimeParameter:
      in: query
      name: starting_time
      required: false
      schema:
        type: string
      description: >-
        The inclusive starting time in ISO8601 format. If specified, only Bridge
        Wallet history events created at or after this time are returned. Can be
        combined with ending_time to form a bounded time window or with an event
        ID cursor to paginate within the filtered results.
    BridgeWalletHistoryEndingTimeParameter:
      in: query
      name: ending_time
      required: false
      schema:
        type: string
      description: >-
        The exclusive ending time in ISO8601 format. If specified, only Bridge
        Wallet history events created before this time are returned. Can be
        combined with starting_time to form a bounded time window or with an
        event ID cursor to paginate within the filtered results.
  responses:
    BridgeWalletHistoryResponse:
      description: List of transactions for this Bridge Wallet
      content:
        application/json:
          schema:
            title: Bridge Wallet History
            type: object
            required:
              - count
              - data
            properties:
              count:
                type: integer
                description: The number of events returned
              data:
                type: array
                minItems: 0
                items:
                  $ref: '#/components/schemas/BridgeWalletEventResponse'
          examples:
            WithdrawalBridgeWalletEvent:
              $ref: '#/components/examples/WithdrawalBridgeWalletEvent'
            DepositDrainBridgeWalletEvent:
              $ref: '#/components/examples/DepositDrainBridgeWalletEvent'
            DepositStaticMemoEventBridgeWalletEvent:
              $ref: '#/components/examples/DepositStaticMemoEventBridgeWalletEvent'
            DepositVirtualAccountEventBridgeWalletEvent:
              $ref: >-
                #/components/examples/DepositVirtualAccountEventBridgeWalletEvent
            DepositTransferBridgeWalletEvent:
              $ref: '#/components/examples/DepositTransferBridgeWalletEvent'
            DirectDepositBridgeWalletEvent:
              $ref: '#/components/examples/DirectDepositBridgeWalletEvent'
            ReturnBridgeWalletEvent:
              $ref: '#/components/examples/ReturnBridgeWalletEvent'
            UndeliverableBridgeWalletEvent:
              $ref: '#/components/examples/UndeliverableBridgeWalletEvent'
            CardSpendBridgeWalletEvent:
              $ref: '#/components/examples/CardSpendBridgeWalletEvent'
            CardRefundBridgeWalletEvent:
              $ref: '#/components/examples/CardRefundBridgeWalletEvent'
    BadRequestError:
      description: Request containing missing or invalid parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            BadCustomerRequestErrorExample:
              summary: Bad customer request
              value:
                code: bad_customer_request
                message: fields missing from customer body.
                name: first_name,ssn
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    NotFoundError:
      description: No resource found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            NotFoundErrorExample:
              summary: Invalid customer id
              value:
                code: Invalid
                message: Unknown customer id
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  schemas:
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    BridgeWalletEventResponse:
      description: Shared fields present on every bridge wallet history event.
      type: object
      required:
        - id
        - bridge_wallet_id
        - amount
        - available_balance
        - currency
        - source
        - destination
        - type
        - created_at
      properties:
        id:
          $ref: '#/components/schemas/Id'
        bridge_wallet_id:
          $ref: '#/components/schemas/Id'
        amount:
          description: >-
            Amount of the transaction, represented as a decimal string. Examples
            include "100.250000", "0.100000", "1.234567" etc.
          type: string
        available_balance:
          description: >-
            Available balance of the wallet after this event, represented as a
            decimal string.
          type: string
        currency:
          $ref: '#/components/schemas/Currency'
        type:
          description: The type of wallet event.
          type: string
          enum:
            - deposit
            - direct_deposit
            - withdrawal
            - return
            - undeliverable
            - card_spend
            - card_refund
        source:
          description: >-
            The source of the transfer, which could be an external bank account,
            a bridge account, or a crypto wallet address.
          type: object
          properties:
            currency:
              $ref: '#/components/schemas/Currency'
            payment_rail:
              type: string
            from_address:
              type: string
              nullable: true
        destination:
          description: >-
            The destination of the transfer, which could be an external bank
            account, a bridge account, or a crypto wallet address.
          type: object
          properties:
            currency:
              $ref: '#/components/schemas/Currency'
            payment_rail:
              type: string
            tx_hash:
              type: string
              nullable: true
            from_address:
              type: string
              nullable: true
        payment_route:
          description: >-
            Details about the Bridge payment route that initiated this event,
            such as a transfer, liquidation address drain, virtual account
            deposit, or card spend. Not present on direct deposits.
          type: object
          nullable: true
          properties:
            type:
              description: The type of payment route.
              type: string
              enum:
                - transfer
                - liquidation_address
                - virtual_account
                - card_spend
            customer_id:
              $ref: '#/components/schemas/Id'
            transfer_id:
              type: string
              nullable: true
            card_crypto_transaction_id:
              description: >-
                The ID of the card crypto transaction that initiated this event.
                Present on card_spend and card_refund events when the event is
                linked to a specific on-chain card transaction.
              type: string
              nullable: true
            issuing_authorization_id:
              description: >-
                The Stripe Issuing authorization ID associated with this card
                event.
              type: string
              nullable: true
            issuing_transaction_id:
              description: >-
                The Stripe Issuing transaction ID associated with this card
                event.
              type: string
              nullable: true
        created_at:
          type: string
          format: date-time
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
    Currency:
      type: string
      enum:
        - usdb
        - usdc
        - usdt
        - usd
        - pyusd
  examples:
    WithdrawalBridgeWalletEvent:
      summary: An outgoing transfer from a bridge wallet initiated by a transfer
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '500.000000'
            available_balance: '500.000000'
            currency: usdc
            type: withdrawal
            source:
              currency: usdc
              payment_rail: ethereum
            destination:
              currency: usd
              payment_rail: ach
            payment_route:
              type: transfer
              customer_id: cust_123
              transfer_id: transfer_123
            created_at: '2025-01-01T00:00:00.000Z'
    DepositDrainBridgeWalletEvent:
      summary: A deposit to a bridge wallet via a liquidation address drain
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '50.000000'
            available_balance: '1050.000000'
            currency: usdc
            type: deposit
            source:
              currency: usd
              payment_rail: ach
            destination:
              currency: usdc
              payment_rail: ethereum
              tx_hash: '0xdeadbeef'
            payment_route:
              type: drain
              customer_id: cust_123
              drain_id: drain_123
              liquidation_address_id: la_123
            created_at: '2025-01-01T00:00:00.000Z'
    DepositStaticMemoEventBridgeWalletEvent:
      summary: A deposit to a bridge wallet via a static memo fiat payment
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '200.000000'
            available_balance: '1200.000000'
            currency: usdc
            type: deposit
            source:
              currency: usd
              payment_rail: wire
            destination:
              currency: usdc
              payment_rail: ethereum
              tx_hash: '0xdeadbeef'
            payment_route:
              type: static_memo_event
              customer_id: cust_123
              deposit_id: dep_123
              static_memo_event_id: sme_123
              static_memo_id: sm_123
            created_at: '2025-01-01T00:00:00.000Z'
    DepositVirtualAccountEventBridgeWalletEvent:
      summary: A deposit to a bridge wallet via a virtual account payment
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '75.000000'
            available_balance: '1075.000000'
            currency: usdc
            type: deposit
            source:
              currency: usd
              payment_rail: ach
            destination:
              currency: usdc
              payment_rail: ethereum
              tx_hash: '0xdeadbeef'
            payment_route:
              type: virtual_account_event
              customer_id: cust_123
              deposit_id: dep_123
              virtual_account_event_id: vae_123
              virtual_account_id: va_123
            created_at: '2025-01-01T00:00:00.000Z'
    DepositTransferBridgeWalletEvent:
      summary: A deposit to a bridge wallet via a transfer payment
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '300.000000'
            available_balance: '1300.000000'
            currency: usdc
            type: deposit
            source:
              currency: usd
              payment_rail: ach
            destination:
              currency: usdc
              payment_rail: ethereum
              tx_hash: '0xdeadbeef'
            payment_route:
              type: transfer
              customer_id: cust_123
              transfer_id: transfer_123
            created_at: '2025-01-01T00:00:00.000Z'
    DirectDepositBridgeWalletEvent:
      summary: A deposit to a bridge wallet directly on the blockchain
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '25.000000'
            available_balance: '1025.000000'
            currency: usdc
            type: direct_deposit
            source:
              currency: usdc
              payment_rail: ethereum
              from_address: '0x71C7656EC7ab88b098defB751B7401B5f6d8976F'
            destination:
              currency: usdc
              payment_rail: ethereum
              tx_hash: '0xdeadbeef'
            created_at: '2025-01-01T00:00:00.000Z'
    ReturnBridgeWalletEvent:
      summary: >-
        An outgoing transfer from a bridge wallet that was rejected for AML
        reasons was returned
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '150.000000'
            available_balance: '1150.000000'
            currency: usdc
            type: return
            source:
              currency: usd
              payment_rail: ach
            destination:
              currency: usdc
              payment_rail: ethereum
            payment_route:
              type: transfer
              customer_id: cust_123
              transfer_id: transfer_123
            created_at: '2025-01-01T00:00:00.000Z'
    UndeliverableBridgeWalletEvent:
      summary: >-
        An outgoing transfer from a bridge wallet that could not be delivered
        was returned
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '80.000000'
            available_balance: '1080.000000'
            currency: usdc
            type: undeliverable
            source:
              currency: usd
              payment_rail: ach
            destination:
              currency: usdc
              payment_rail: ethereum
            payment_route:
              type: transfer
              customer_id: cust_123
              transfer_id: transfer_123
            created_at: '2025-01-01T00:00:00.000Z'
    CardSpendBridgeWalletEvent:
      summary: A card spend debiting the bridge wallet to fund a card authorization
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '25.500000'
            available_balance: '974.500000'
            currency: usdc
            type: card_spend
            source:
              currency: usdc
              from_address: '0x71C7656EC7ab88b098defB751B7401B5f6d8976F'
              payment_rail: base
            destination:
              currency: usdc
              payment_rail: card_spend_internal_funding
            payment_route:
              type: card_spend
              customer_id: cust_123
              card_crypto_transaction_id: cct_123
              issuing_authorization_id: iauth_123
              issuing_transaction_id: ipi_456
            created_at: '2025-01-01T00:00:00.000Z'
    CardRefundBridgeWalletEvent:
      summary: >-
        A card refund crediting the bridge wallet after a confirmed card spend
        is returned
      value:
        count: 1
        data:
          - id: bwe_123
            bridge_wallet_id: bw_123
            amount: '10.450000'
            available_balance: '1010.450000'
            currency: usdc
            type: card_refund
            source:
              currency: usdc
              from_address: '0x71C7656EC7ab88b098defB751B7401B5f6d8976F'
              payment_rail: base
            destination:
              currency: usdc
              payment_rail: card_spend_internal_funding
            payment_route:
              type: card_spend
              customer_id: cust_123
              issuing_authorization_id: iauth_789
              issuing_transaction_id: ipi_012
            created_at: '2025-01-01T00:00:00.000Z'
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````